//
// Core Program for TETDM 
// PopUpForTitle.java Version 1.00
// Copyright(C) 2015-2018 TETDM CORE MEMBER ALL RIGHTS RESERVED.
// This program is provided under the license.
//

package source.GameMode;

import source.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.JFrame;

public class PopUpForTitle extends JFrame
{
	TitlePanel titlePanel;
	Container pane = getContentPane();	
		
	PopUpForTitle(int X, int Y, int width, int height, Control control)
	{
		super("Skill");
		pane.setLayout(new BorderLayout());
		
		setBounds(X, Y, width, height);
//		setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
		
		setAlwaysOnTop(true);
		pane.setBackground(Color.white);
//		setUndecorated(true);
		
		titlePanel = new TitlePanel(control, this);
		this.addWindowListener(new MyWindowListener());
		pane.add(titlePanel);		
		setVisible(true);
		
	}
	
	
	
	class MyWindowListener extends WindowAdapter {
		public void windowClosing(WindowEvent e) 
		{
			//System.out.println("windowClosing");
			
			titlePanel.closeWindow();
		}
	}
	
	
	
}
